#include "Converter.h"

namespace armarx::armem::server::ltm
{

    std::vector<unsigned char> ObjectConverter::convert(const aron::data::VariantPtr& data)
    {
        auto d = aron::data::Dict::DynamicCastAndCheck(data);
        return _convert(d);
    }

    aron::data::VariantPtr ObjectConverter::convert(const std::vector<unsigned char>& data)
    {
        auto d = _convert(data);
        return d;
    }

}
