#include "JsonConverter.h"

#include <RobotAPI/libraries/aron/converter/json/NLohmannJSONConverter.h>

namespace armarx::armem::server::ltm::converter::object
{
    std::vector<unsigned char> JsonConverter::_convert(const aron::data::DictPtr& data)
    {
        nlohmann::json j = aron::converter::AronNlohmannJSONConverter::ConvertToNlohmannJSON(data);
        auto str = j.dump(2);
        return std::vector<unsigned char>(str.begin(), str.end());
    }

    aron::data::DictPtr JsonConverter::_convert(const std::vector<unsigned char>& data)
    {
        std::string str(data.begin(), data.end());
        nlohmann::json j = nlohmann::json::parse(str);
        return aron::converter::AronNlohmannJSONConverter::ConvertFromNlohmannJSONObject(j);
    }
}
